Subject: Re: inux-next: Tree for Apr 27 (uml + mm/memcontrol.c)

From: Andrew Morton <[email-masked]>
Date: Fri, 27 Apr 2012 16:24:59 -0700

On Fri, 27 Apr 2012 16:14:52 -0700 (PDT)
David Rientjes <[email-masked]> wrote:

> > Minor matter: that's non-responsive to my suggestion.
> > 
> 
> If it's moved to a new cgroup then we can just go back to the original 
> point that I made as was trying to avoid: adding #ifdefs all over 
> mm/memcontrol.c in a dozen or so places.  A mm/hugetlbcg.c would only be 
> built, natually, when we have "depends on HUGETLB_PAGE" and 
> linux/hugetlb.h takes care of the rest (setting HUGE_MAX_HSTATE for archs 
> that don't define it themselves, in other words only one hugepage size).

And if it isn't moved to a new cgroup then your
memcg-add-hugetlb-extension-fix.patch is suboptimal.  Why is this so
hard?